library(mclust)

### comment out the next line if the data are already read in
source("readpaulia.R")

### Change the next lines as appropriate
setsize <- 2000
trset <- sample(npixels, setsize, replace=FALSE)
minclus <- 3
maxclus <- 15
models <- .Mclust$emModelNames
.Mclust$itmax <- c(100, Inf)

### Go!
X <- pict[pixels[trset], ]
bicvals <- EMclust(X, G=minclus:maxclus, emModelNames=models)
sumry <- summary(bicvals, X)
znew <- do.call("em", c(list(data=pict[pixels,]), sumry))
classif <- map(znew$z)
